import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MemberModule } from '../../../packages/member/member.module';

import { AuthPageComponent } from './auth-page.component';
import { AuthPageRoutingModule } from './auth-page-routing.module';

import { SigninPageComponent } from './signin/signin-page.component';

export const COMPONENTS = [
  AuthPageComponent,
  SigninPageComponent,
];

@NgModule({
  imports: [
    CommonModule,
    AuthPageRoutingModule,
    MemberModule,
  ],
  declarations: COMPONENTS,
})
export class AuthPageModule { }
