import {
  ensureStoreMetadata,
} from '../core';

export function Store<State>(initialState?: State): (target: Function) => void;
export function Store(initialState?: any): (target: Function) => void;
export function Store(initialState: any = {}) {
  return function(target: Function) {
    const meta = ensureStoreMetadata(target);
    meta.initialState = initialState;
  };
}
