import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { FormGroup, FormBuilder, Validators } from '@angular/forms';
import { Store, select } from '@ngrx/store';

import { State } from '../../store/auth.state';

@Component({
  selector: 'of-member-signin',
  templateUrl: './signin.component.html',
  styleUrls: ['./signin.component.scss']
})
export class SigninComponent implements OnInit {
  constructor(
    private activatedRoute: ActivatedRoute,
    private router: Router,
    private store: Store<State>,
  ) {
  }

  ngOnInit() {
    this.initForm();

  }

  initForm() {

  }

  resetPasswordBtnClick() {
    this.router.navigateByUrl('/auth/reset-password');
  }

  signupBtnClick() {
    this.router.navigateByUrl('/auth/signup');
  }
  signin() {
  }
}
